package com.zjrs.ggfw.yjt.util;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class YjtConfig {
    @Value("${yjt.xfmxURL}")
    private String xfmxURL;
    @Value("${yjt.privateKey}")
    private String privateKey;
    @Value("${yjt.publicKey}")
    private String publicKey;
    @Value("${yjt.version}")
    private String version;
    @Value("${yjt.userid}")
    private String userid;
    @Value("${yjt.kyeURL:https://119.119.122.12:8081/mipay/query/balance.do}")
    private String kyeURL;
    @Value("${yjt.merId:DRTEST0001}")
    private String merId;
    @Value("${yjt.key:mxu9qjpes9rt66kpd8iewuqp5qw5oojw}")
    private String key;

    public String getXfmxURL() {
        return xfmxURL;
    }

    public void setXfmxURL(String xfmxURL) {
        this.xfmxURL = xfmxURL;
    }

    public String getPrivateKey() {
        return privateKey;
    }

    public void setPrivateKey(String privateKey) {
        this.privateKey = privateKey;
    }

    public String getPublicKey() {
        return publicKey;
    }

    public void setPublicKey(String publicKey) {
        this.publicKey = publicKey;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getKyeURL() {
        return kyeURL;
    }

    public void setKyeURL(String kyeURL) {
        this.kyeURL = kyeURL;
    }

    public String getMerId() {
        return merId;
    }

    public void setMerId(String merId) {
        this.merId = merId;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }
}
